/*
 
 *************************************************************************
 
 Armagetron Printer Interface
 Developed by Morgan Jones (maclover201@me.com)
 
 **************************************************************************
 
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
 ***************************************************************************
 
 */

#pragma once

#ifndef DEFS_H
#define DEFS_H

#include <math.h>
#include <cstdlib>
#include <unistd.h>

#include "version.h"

#define VERSION Armagetron_Printer_InterfaceVersionNumber

#define ERR_OPENING 1
#define ERR_NOEXIST 2
#define ERR_CONNECT 3
#define ERR_WRITING 4

typedef float REAL;

template <class T> static void Swap( T &a,T &b ){
    T c = a;
	a = b;
    b = c;
}

static void wait(REAL time)
{
	int seconds = floorf( time ); // say time is 1.25. seconds = 1.
	int useconds = 1000000 * ( time - seconds ); // if time is 1.25, 1.25 - 1 = .25. Multiply it by 1,000,000 microseconds to get the value in seconds.
	if( seconds >= 1 )
		sleep( seconds );
	if( useconds >= 1 )
		usleep( useconds ); // wait for the number of microseconds
}

using namespace std;

#endif // DEFS_H