/*
 
 *************************************************************************
 
 Armagetron Printer Interface
 Developed by Morgan Jones (maclover201@me.com)
 
 **************************************************************************
 
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
 ***************************************************************************
 
 */

#include "log.h"

string Path::exec_dir;

void Path::SetExecutableDirectory()
{
	char path[PATH_MAX];
	getcwd( path, sizeof( path ) );
	exec_dir = path;
}

string Path::ExecutableDirectory() { cout << exec_dir << endl; return exec_dir; }

void Log::log(string message)
{
	ofstream file;
	time_t rawtime;
	struct tm *timeinfo;
	time( &rawtime );
	timeinfo = localtime( &rawtime );
	string filepath ( "log.txt" );
	
	char now[80];
	strftime( now, sizeof( now ) / sizeof( char ), "[%x %I:%M:%S %p %Z]\t", timeinfo );
	
	file.open( filepath.c_str(), ifstream::app );
	
	if( !file.is_open() || !file.good() )
		cerr << "-> Error opening log file for writing. Skipping log." << endl;
	
	file << now << message;
	
	file.close();
}

void Log::die(string error, int code)
{
	cerr << error;
	Log::log( "[FATAL] " + error );
	exit( code );
}

void Log::warn(string warning)
{
	cerr << warning;
	Log::log( "[WARNING] " + warning );
}

void Log::info(string information)
{
	Log::log( "[INFO] " + information );
}