/*
 
 *************************************************************************
 
 Armagetron Printer Interface
 Developed by Morgan Jones (maclover201@me.com)
 
 **************************************************************************
 
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
 ***************************************************************************
 
 */

#include <iostream>

#include "player.h"

Player::Player(string data)
{
	if( data.empty() )
	{
		this->good = false;
		this->absent = false;
		return;
	}
	if( data == "Nobody online." )
	{
		this->good = true;
		this->absent = true;
		return;
	}
	
	this->name = StripSpaces( data.substr( 0, 15 ) );
	this->alive = StripSpaces( data.substr( 16, 22 ) );
	this->score = atoi( StripSpaces( data.substr( 23, 29 ) ).c_str() );
	this->ping = atoi( StripSpaces( data.substr( 30, 35 ) ).c_str() );
	this->team = StripSpaces( data.substr( 36 ) );
	this->good = true;
	this->absent = false;
}

Player::~Player() {}

string Player::Name() { return this->name; }

string Player::Team() { return this->team; }

bool Player::Alive()
{
	if( this->alive == "Yes" )
		return true;
	else if( this->alive == "No" )
		return false;
	else
		return false;
}

bool Player::Good() { return this->good; }

bool Player::Absent() { return this->absent; }

int Player::Score() { return this->score; }

int Player::Ping() { return this->ping; }

string Player::StripSpaces(string toStrip)
{
	for( string::reverse_iterator myIterator = toStrip.rbegin(); *myIterator == ' ' && myIterator < toStrip.rend(); myIterator++ )
	{
		toStrip.erase( myIterator.base() - 1 );
	}
	return toStrip;
}