/*
 
 *************************************************************************
 
 Armagetron Printer Interface
 Developed by Morgan Jones (maclover201@me.com)
 
 **************************************************************************
 
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
 ***************************************************************************
 
 */

#pragma once

#ifndef LOG_H
#define LOG_H

#include <cstdlib>
#include <cstdio>
#include <fstream>
#include <iostream>
#include <ctime>
#include <string>
#include <libgen.h>
#include <limits.h>
#include <unistd.h>
#include <sys/stat.h>

#include "defs.h"

class Path {
public:
	static void SetExecutableDirectory(string argv);
	static void SetExecutableDirectory();
	static string ExecutableDirectory();
private:
	static string exec_dir;
};

class Log {
public:
	static void log(string message);
	static void die(string error, int code);
	static void warn(string warning);
	static void info(string information);
};

typedef float REAL;
#endif // LOG_H