/*
 
 *************************************************************************
 
 Armagetron Printer Interface
 Developed by Morgan Jones (maclover201@me.com)
 
 **************************************************************************
 
 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.
 
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 
 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 
 ***************************************************************************
 
 */

#pragma once

#ifndef PLAYER_H
#define PLAYER_H

#include <string.h>

#include "defs.h"

#include "log.h"

class Player {
public:
	Player(string data);
	~Player();
	string Name();
	string Team();
	bool Alive();
	bool Good();
	bool Absent();
	int Score();
	int Ping();
private:
	string name, alive, team;
	int score, ping;
	bool good, absent;
	string StripSpaces(string toStrip);
};

#endif // PLAYER_H